Bug 1375715 - Eclipse show wrong file modifications times
Summary: Eclipse show wrong file modifications times
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-13 20:08 UTC by Robert Marcano
Modified: 2017-08-08 17:20 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-08 17:20:31 UTC


Attachments (Terms of Use)

Description Robert Marcano 2016-09-13 20:08:10 UTC
Description of problem:

Eclipse show bad file modifications times (File properties menu) if the timezone database has changed recently.


Version-Release number of selected component (if applicable):

eclipse-platform-4.6.0-3.fc24.x86_64

Steps to Reproduce:
1. Change system timezone to America/Caracas
2. Restart Eclipse
3. Open the properties window of any resource and check the modification time

Actual results:

Eclipse show a 30 minutes offset from the real one listed by ls

Expected results:

modification time must be equals between Eclipse and ls

Additional info:

The real problem must be based on the usage of another library. I find that icu4j is a dependency for Eclipse and it has its own timezone database. If confirmed this is the case we can move the bug to icu4j in order to make it use tzdata-java.

Note: joda-time is another of these libraries that includes its own timezone database.

Comment 1 Mat Booth 2016-09-14 15:30:34 UTC
Is it only a problem with this timezone?

Comment 2 Robert Marcano 2016-09-14 15:39:23 UTC
No, happen with any timezone recently updated on tzdata. Another example is Asia/Chita, it shows a 1 hour offset. This is the reason I think it is related to icu4j because it is a requisite package for Eclipse.

Comment 3 Fedora End Of Life 2017-07-25 23:01:21 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 17:20:31 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.